### Hierarchy

- unknown
  - GetOffersReply

## Index

### Constructors

- constructor

### Methods

- addOffers
- clearOffersList
- getOffersList
- serializeBinary
- setOffersList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetOffersReply(): GetOffersReply

- Inherited from jspb.Message.constructor

  #### Returns GetOffersReply

## Methods

### addOffers

- addOffers(value?: OfferInfo, index?: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1411

  #### Parameters

  - ##### Optional value: OfferInfo

  - ##### Optional index: number

  #### Returns OfferInfo

### clearOffersList

- clearOffersList(): GetOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1410

  #### Returns GetOffersReply

### getOffersList

- getOffersList(): OfferInfo []

- - Defined in src/protobuf/grpc_pb.d.ts:1408

  #### Returns OfferInfo []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1413

  #### Returns Uint8Array

### setOffersList

- setOffersList(value: OfferInfo []): GetOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1409

  #### Parameters

  - ##### value: OfferInfo []

  #### Returns GetOffersReply

### toObject

- toObject(includeInstance?: boolean): GetOffersReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1414

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetOffersReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1417

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOffersReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOffersReply, reader: BinaryReader): GetOffersReply

- - Defined in src/protobuf/grpc_pb.d.ts:1418

  #### Parameters

  - ##### message: GetOffersReply

  - ##### reader: BinaryReader

  #### Returns GetOffersReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOffersReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1416

  #### Parameters

  - ##### message: GetOffersReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetOffersReply ): GetOffersReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1415

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOffersReply

  #### Returns GetOffersReply . AsObject

Generated using TypeDoc